<template>
  <div class="author">
    <img :src="`https://covers.openlibrary.org/a/olid/${authorKey}-M.jpg`" />
    <h5>{{ authorName }}</h5>
  </div>
</template>

<script setup lang="ts">
defineProps({
  authorName: {
    type: String,
    required: true
  },
  authorKey: {
    type: String,
    required: true
  }
})
</script>

<style scoped>
.author {
  margin-right: 10px;
}
.author img {
  display: block;
  width: 100px;
  height: 120px;
  object-fit: cover;
}
</style>
